Bug 13867 - Samba autobuild flaps due to poorly arranged 5-sec timeout in a password expiry test
Samba autobuild flaps due to poorly arranged 5-sec timeout in a password expi...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Test infrastructure
4.8.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
https://gitlab.com/samba-team/samba/m...
:
Depends on:
Blocks: CVE-2019-3880
  Show dependency treegraph
 
Reported: 2019-03-29 07:29 UTC by Andrew Bartlett
Modified: 2019-04-03 10:38 UTC (History)
1 user (show)

See Also:


Attachments
The backported patch (1.95 KB, patch)
2019-03-29 08:14 UTC, Douglas Bagnall
dbagnall: review+
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2019-03-29 07:29:22 UTC
5ebe3183fded1ab060ed60baeedeac859d0c137e in master could be backported and so make testing of 4.8 security releases much more stable.
Comment 1 Douglas Bagnall 2019-03-29 08:14:49 UTC
Created attachment 15019 [details]
The backported patch

Patch from https://gitlab.com/samba-team/samba/merge_requests/349

Looks good to me.
Comment 2 Andrew Bartlett 2019-03-29 08:32:22 UTC
Comment on attachment 15019 [details]
The backported patch

Local testing of the backport is successful, CI is on the merge request
Comment 3 Andrew Bartlett 2019-03-29 08:46:49 UTC
Please take for Samba 4.8 to aid in security patch preparation.
Comment 4 Karolin Seeger 2019-04-02 09:08:39 UTC
Pushed to autobuild-v4-8-test.
Comment 5 Karolin Seeger 2019-04-03 10:38:05 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-8-test.
Closing out bug report.

Thanks!